<?php
$acf =  get_field('vin_lien_dachat');
$theme = get_field('theme');

if ($theme == 'light') {
  $couleur_du_bouton = 'black';
  $texte_du_bouton =  get_field('couleur');
} else {
  $couleur_du_bouton =  get_field('couleur');
  $texte_du_bouton =  'white';
}


if (is_array(get_field('vin_lien_dachat')['popin_achat_en_ligne']['online_store'])) {
  $online_store = count(get_field('vin_lien_dachat')['popin_achat_en_ligne']['online_store']);
} else {
  $online_store = null;
}


$s = $acf['button_label'];
$specialMobile = '';
$specialMobile = $theme == 'light' ? 'text-white lg:text-black bg-black lg:bg-white border-white lg:border-black' : '';
// $specialMobile = $theme == 'light' ? 'invert md:invert-0' : '';


if (strlen($texte_du_bouton) > 2  && is_display_buy_buttons()) {
  switch ($acf['select']) {
    case 'modal':
      if ($online_store > 2) {
        echo '<button type="button" data-target="#modal_store" class="btn  mx-auto js-modal ' . $specialMobile . ' " style="color:' . $texte_du_bouton . '; background-color:' . $couleur_du_bouton . '; border-color:' . $couleur_du_bouton . '"><span>' . $s . '</span></button>';
      }
      break;
    case 'special':
      echo '<button type="button" data-target="#modal_iterations" class="btn   mx-auto js-modal  ' . $specialMobile . ' " style="color:' . $texte_du_bouton . '; background-color:' . $couleur_du_bouton . '; border-color:' . $couleur_du_bouton . ' "><span>' . $s . '</span></button>';
      break;
    case 'url':
      echo '<a href="' . $acf['lien'] . '" class="btn mx-auto  ' . $specialMobile . '" style="color:' . $texte_du_bouton . '; background-color:' . $couleur_du_bouton . '; border-color:' . $couleur_du_bouton . ' " target="_blank"><span>' . $s . '</span></a>';
      break;
    case 'none':

      break;
    default:
      break;
  }
}
